<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package w3layouts
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<meta name="author" content="W3Layouts.com" />

	<!-- google fonts -->
	<link href="//fonts.googleapis.com/css?family=Roboto:400,700,900&display=swap" rel="stylesheet">
	<link href="//fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;600;700;800&display=swap" rel="stylesheet">
	<!-- google fonts -->

	<link href="<?php echo get_bloginfo('template_directory'); ?>/assets/css/style-liberty.css" rel="stylesheet">
	<?php wp_head(); ?>
</head>

<body id="top-gap-fixed-header" <?php body_class(); ?>>
	<?php wp_body_open(); ?>
	<?php
	 $SiteName = get_bloginfo( 'name' );
	 if(!empty(get_bloginfo( 'description' )))
	 {
		 $SiteDiscription = ' - '.get_bloginfo( 'description' );
	 }

	 $logoselected =get_option('headerlogo');
			?>


	<!--header-->
	<header class="w3l-header">
		<div class="hero-header-11">
			<div class="hero-header-11-content">
				<div class="container w3HeaderLogoEd">
					<nav class="navbar navbar-expand-lg navbar-light py-0 px-0">
						<?php $HeaderImageLogoStatus = get_theme_mod( "HeaderImageLogo","0")?>
						<?php if( $HeaderImageLogoStatus==1 ){
						$custom_logo_id = get_theme_mod( 'custom_logo' );
						$image = wp_get_attachment_image_src( $custom_logo_id , 'full' );
						?>
						<a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
							<!-- <img src="image-path" alt="Your logo" title="Your logo" style="height:35px;" /> -->
							<img src="<?php echo $image[0]; ?>" class="logo img-fluid"
								alt="<?php echo $SiteName;?><?php echo $SiteDiscription;?>">
						</a>
						<?php }?>
						<?php if($HeaderImageLogoStatus!=1) {
						$logoseText = get_theme_mod( "w3layoutsHeaderlogoText", 'Wash<span class="logo-view">ing</span>' );
						?>
						<h1><a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
								<?php echo $logoseText; ?>
							</a></h1>

						<?php } ?>
						<button class="navbar-toggler collapsed" type="button" data-toggle="collapse"
							data-target="#navbar-content" aria-controls="navbar-content" aria-expanded="false"
							aria-label="<?php esc_html_e( 'Toggle Navigation', 'theme-textdomain' ); ?>">
							<span class="navbar-toggler-icon fa icon-expand fa-bars"></span>
							<span class="navbar-toggler-icon fa icon-close fa-times"></span>
						</button>

						<div class="collapse navbar-collapse" id="navbar-content">
							<?php
							wp_nav_menu( array(
								'theme_location' => 'menu-1', // Defined when registering the menu
								'menu_id'        => 'primary-menu',
								'container'      => false,
								'depth'          => 3,
								'menu_class'     => 'navbar-nav ml-auto',
								'walker'         => new Bootstrap_NavWalker(), // This controls the display of the Bootstrap Navbar
								'fallback_cb'    => 'Bootstrap_NavWalker::fallback', // For menu fallback
							) );
							?>

							<!-- Header social -->
							<?php $HeaderSocialMediaRequir = get_theme_mod( "HeaderSocialMediaRequired","1")?>
							<?php if( $HeaderSocialMediaRequir==1 ){?>
							<ul class="social-icons HeaderSocialIcons">
								
								<?php $HeaderSFStatus = get_theme_mod( "HeaderSocialFacebook","1")?>
								<?php if( $HeaderSFStatus==1 ){?>
								<li>
									<a href="<?php echo get_theme_mod( "HeaderSocialFacebookURL","https://www.facebook.com/w3layouts/" ); ?>">
										<span class="fa fa-facebook" aria-hidden="true"></span>
									</a>
								</li>
								<?php }?>

								<?php $HeaderSTStatus = get_theme_mod( "HeaderSocialTwitter","1")?>
								<?php if( $HeaderSTStatus==1 ){?>
								<li>
									<a href="<?php echo get_theme_mod( "HeaderSocialTwitterURL","https://twitter.com/W3layouts" ); ?>">
										<span class="fa fa-twitter" aria-hidden="true"></span>
									</a>
								</li>
								<?php }?>

								<?php $HeaderSIStatus = get_theme_mod( "HeaderSocialInstagram","1")?>
								<?php if( $HeaderSIStatus==1 ){?>
								<li>
									<a href="<?php echo get_theme_mod( "HeaderSocialInstagramURL","https://instagram.com/W3layouts" ); ?>">
										<span class="fa fa-instagram" aria-hidden="true"></span>
									</a>
								</li>
								<?php }?>

							</ul>
							<?php } ?>
							<!-- //Header social -->

							<?php $HeaderSearchRequir = get_theme_mod( "HeaderSearchRequired","1")?>
							<?php if( $HeaderSearchRequir==1 ){?>
							<!-- Search -->
							<div class="nav-item HSearch mr-3 HeaderSearch" title="Search">
								<a href="#search" class="search-btn">
								<span class="fa fa-search" aria-hidden="true"></span></a>
							</div>
							<!-- search popup -->
							<div id="search" class="pop-overlay">
								<div class="popup">
									<form action="<?php echo esc_url( home_url( '/' ) ); ?>" 
										method="GET" class="w3l-hnyform d-flex">
										<input type="search" placeholder="<?php echo get_theme_mod( 'HeaderSearchPlaceHolder', 'Search...');?>" 
										name="s" required="required" autofocus>
										<button type="submit"><span class="fa fa-search"></span></button>
										<a class="close" href="#url">&times;</a>
									</form>
								</div>
							</div>
							<!-- /search popup -->
							<!-- Search -->
							<?php } ?>

							<!-- Header Phone Number -->
							<?php $HeaderPhoneNumberRequir = get_theme_mod( "HeaderPhoneNumberRequired","1")?>
							<?php if( $HeaderPhoneNumberRequir==1 ){?>
							<div class="phone HeaderNumber">
								<a href="<?php echo get_theme_mod( "HeaderPhoneNumberURL","tel:+44-123-456-78" ); ?>">
								<span class="<?php echo get_theme_mod( "HeaderPhoneNumberIcon","fa fa-headphones" ); ?>" aria-hidden="true"></span> 
								<?php echo get_theme_mod( "HeaderPhoneNumber" );if(get_theme_mod( "HeaderPhoneNumber" )==''){echo '+44-123-456-78';}?></a>
							</div>
							<?php } ?>
							<!-- Header Phone Number -->
							
						</div>
					</nav>
				</div>
			</div>
		</div>
	</header>