<?php
/**
 * w3layouts Theme Footer Customizer
 *
 * @package w3layouts
 */

$w3layouts_Footer_settings=new w3layouts_Footer_customizer_settings();

class w3layouts_Footer_customizer_settings {
  // Get our default values
  // private $defaults;

  public function __construct() {
    // add_action( 'customize_register', array( $this, 'w3layouts_about_cust_register' ) );
    add_action('customize_register', array($this, 'w3layouts_Footer_panels'));



  }

  public function w3layouts_Footer_panels($wp_customize) {
    $wp_customize->add_panel('Footer_panel',
      array('title'=> __('Footer Customize', 'w3layouts'),
        'priority'=> 30,
        'description'=> esc_html__('add and update Footer data.', 'w3layouts')));

    $wp_customize->add_section('Footer',
      array('title'=> __('Footer Settings', 'w3layouts'),
        'description'=> esc_html__('This is to set or update Footer information', 'w3layouts'),
        'panel'=> 'Footer_panel'
      ));

    $wp_customize->add_section('FooterCopyRight',
      array('title'=> __('Footer CopyRight Section', 'w3layouts'),
        'description'=> esc_html__('CopyRight section in footer', 'w3layouts'),
        'panel'=> 'Footer_panel'
      ));

    $wp_customize->add_section('FooterSocialMedia',
      array('title'=> __('Footer Social Media', 'w3layouts'),
        'description'=> esc_html__('Social Media in footer', 'w3layouts'),
        'panel'=> 'Footer_panel'
      ));





    /** Footer Required section **/

    $wp_customize->add_setting('FooterRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterRequired',
        array('label'=> __('Footer Required', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterRequired',
          'priority'=> 1)));
    $wp_customize->selective_refresh->add_partial('FooterRequired', array('selector'=> 'div.WashingFooter', // You can also select a css class
      ));

    $wp_customize->add_setting('FooterBgImage',
        array('default'=> '',
            'transport'=> 'refresh',
            'sanitize_callback'=> 'absint'
        ));
    $wp_customize->add_control(new WP_Customize_Cropped_Image_Control($wp_customize, 'FooterBgImage',
        array('label'=> __('Footer Bg Image'),
        'description'=> esc_html__(''),
        'section'=> 'Footer',
        'flex_width'=> false, // Optional. Default: false
        'flex_height'=> true, // Optional. Default: false
        'width'=> 1760, // Optional. Default: 150
        'height'=> 900, // Optional. Default: 150
        'button_labels'=> array( // Optional.
        'select'=> __('Select Image'),
        'change'=> __('Change Image'),
        'remove'=> __('Remove'),
        'default'=> __('Default'),
        'placeholder'=> __('No image selected'),
        'frame_title'=> __('Select Image'),
        'frame_button'=> __('Choose Image'),
      ))));
      
    /** footer About */
    $wp_customize->add_setting('FooterAboutRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterAboutRequired',
      array('label'=> __('Footer About Required', 'w3layouts'),
        'section'=> 'Footer',
        'settings'=> 'FooterAboutRequired'
      )));

    $wp_customize->add_setting('FooterAboutTitle', array('default'=> 'About',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterAboutTitle',
        array('label'=> __('Footer About Title', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterAboutTitle'
        )));
    $wp_customize->add_setting('FooterAboutContent', array('default'=> 'Lorem ipsum dolor sit amet consectetur adipisicing elit. Ipsa officia dicta magni ea at, culpa atque, rerum dolorum voluptas alias qui temporibus ex totam distinctio nobis impedit minus! Voluptatibus ullam rerum, nihil blanditiis quos atque iusto!',
				'transport'=> 'refresh',
			));
		$wp_customize->add_control(new WP_Customize_Control($wp_customize,
				'FooterAboutContent',
				array('label'=> __('Footer About Content', 'w3layouts'),
					'section'=> 'Footer',
					'type'=> 'textarea',
					'input_attrs'=> array('class'=> 'my-custom-class',
						'style'=> 'border: 1px solid #999',
						'placeholder'=> __('Enter message...', 'w3layouts'),
					),
				)));

    /** footer Contact */
    $wp_customize->add_setting('FooterContactRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterContactRequired',
      array('label'=> __('Footer Contact Required', 'w3layouts'),
        'section'=> 'Footer',
        'settings'=> 'FooterContactRequired'
      )));
      
    $wp_customize->add_setting('FooterContactTitle', array('default'=> 'Contact',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterContactTitle',
        array('label'=> __('Footer Contact Title', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterContactTitle'
        )));

    // Footer Contact Email starts

    $wp_customize->add_setting('FooterOfficialEmailRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterOfficialEmailRequired',
        array('label'=> __('Footer Official Email Required', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterOfficialEmailRequired'
        )));

    $wp_customize->add_setting('FooterOfficialEmail', array('default'=> 'info@example.com',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterOfficialEmail',
        array('label'=> __('Official Email', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterOfficialEmail'
        )));

    $wp_customize->add_setting('FooterOfficialEmailURL', array('default'=> 'mailto:info@example.com',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterOfficialEmailURL',
        array('label'=> __('Official Email URL ', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterOfficialEmailURL'
        )));
  
    // Footer Contact Email ends
      
    // Footer Contact Phone Number starts

    $wp_customize->add_setting('FooterContactNumberRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterContactNumberRequired',
        array('label'=> __('Footer Contact Number Required', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterContactNumberRequired'
        )));

    $wp_customize->add_setting('FooterContactPhone', array('default'=> '+44-123-456-78',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterContactPhone',
        array('label'=> __('Phone Number', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterContactPhone'
        )));

    $wp_customize->add_setting('FooterContactPhoneURL', array('default'=> 'tel:+44-123-456-78',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterContactPhoneURL',
        array('label'=> __('Phone Number URL ', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterContactPhoneURL'
        )));

    // Footer Contact Phone Number ends
      
    // Footer Contact Address starts
    $wp_customize->add_setting('FooterContactAddressRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterContactAddressRequired',
        array('label'=> __('Footer Contact Address Required', 'w3layouts'),
          'section'=> 'Footer',
          'settings'=> 'FooterContactAddressRequired'
        )));

    $wp_customize->add_setting('FooterContactAddress', array('default'=> ' New York, 235 Terry Lane, 10001',
        'transport'=> 'refresh',
      ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterContactAddress',
        array('label'=> __('Footer Contact Address', 'w3layouts'),
          'section'=> 'Footer',
          'type'=> 'textarea',
          'input_attrs'=> array('class'=> 'my-custom-class',
            'style'=> 'border: 1px solid #999',
            'placeholder'=> __('Enter message...', 'w3layouts'),
          ),
        )));
    
    // Footer Contact Address ends


    /** Social Media Section footer starts **/

    $wp_customize->add_setting('FooterSocialmediaRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterSocialmediaRequired',
        array('label'=> __('Footer Social Icons Required', 'w3layouts'),
          'section'=> 'FooterSocialMedia',
          'settings'=> 'FooterSocialmediaRequired'
        )));
    $wp_customize->selective_refresh->add_partial('FooterSocialmediaRequired', array('selector'=> 'div.FooterSocial', // You can also select a css class
      ));

    // Facebook Icon starts
    $wp_customize->add_setting('FooterSocialFacebook',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterSocialFacebook',
        array('label'=> __('FaceBook Required', 'w3layouts'),
          'section'=> 'FooterSocialMedia',
          'settings'=> 'FooterSocialFacebook'

        )));

    $wp_customize->add_setting('FooterSocialFacebookURL', array('default'=> 'https://www.facebook.com/w3layouts/',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterSocialFacebookURL',
        array('label'=> __('FaceBook URL', 'w3layouts'),
          'section'=> 'FooterSocialMedia',
          'settings'=> 'FooterSocialFacebookURL'
        )));
    // Facebook Icon ends

    // Linkedin Icon starts
    $wp_customize->add_setting('FooterSocialLinkedin',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterSocialLinkedin',
        array('label'=> __('Linkedin Required', 'w3layouts'),
          'section'=> 'FooterSocialMedia',
          'settings'=> 'FooterSocialLinkedin'

        )));

    $wp_customize->add_setting('FooterSocialLinkedinURL', array('default'=> 'https://in.linkedin.com/company/w3layouts',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterSocialLinkedinURL',
        array('label'=> __('Linkedin URL ', 'w3layouts'),
          'section'=> 'FooterSocialMedia',
          'settings'=> 'FooterSocialLinkedinURL'
        )));
    // Linkedin Icon ends


    // twitter Icon starts
    $wp_customize->add_setting('FooterSocialTwitter',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterSocialTwitter',
        array('label'=> __('Twitter Required', 'w3layouts'),
          'section'=> 'FooterSocialMedia',
          'settings'=> 'FooterSocialTwitter'

        )));

    $wp_customize->add_setting('FooterSocialTwitterURL', array('default'=> 'https://twitter.com/W3layouts',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterSocialTwitterURL',
        array('label'=> __('Twitter URL ', 'w3layouts'),
          'section'=> 'FooterSocialMedia',
          'settings'=> 'FooterSocialTwitterURL'
        )));
    // twitter Icon ends


    // google Icon starts
    $wp_customize->add_setting('FooterSocialGoogle',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterSocialGoogle',
        array('label'=> __('Google Required', 'w3layouts'),
          'section'=> 'FooterSocialMedia',
          'settings'=> 'FooterSocialGoogle'

        )));

    $wp_customize->add_setting('FooterSocialGoogleURL', array('default'=> 'https://GooglePlus.com/W3layouts',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterSocialGoogleURL',
        array('label'=> __('Google URL ', 'w3layouts'),
          'section'=> 'FooterSocialMedia',
          'settings'=> 'FooterSocialGoogleURL'
        )));
    // google Icon ends

    // Github Icon starts
    $wp_customize->add_setting('FooterSocialGithub',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterSocialGithub',
        array('label'=> __('Github Required', 'w3layouts'),
          'section'=> 'FooterSocialMedia',
          'settings'=> 'FooterSocialGithub'
        )));

    $wp_customize->add_setting('FooterSocialGithubURL', array('default'=> 'https://www.instagram.com/w3layouts_/',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterSocialGithubURL',
        array('label'=> __('Github URL ', 'w3layouts'),
          'section'=> 'FooterSocialMedia',
          'settings'=> 'FooterSocialGithubURL'
        )));
    // Github Icon ends

    /** Social Media Section footer ends **/



    /** Copyright Section footer**/
    $wp_customize->add_setting('FooterCopyrightRequired',
      array('default'=> 1,
        'transport'=> 'refresh',
        'sanitize_callback'=> 'skyrocket_switch_sanitization'
      ));
    $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterCopyrightRequired',
        array('label'=> __('Copyright Section Required', 'w3layouts'),
          'section'=> 'FooterCopyRight',
          'settings'=> 'FooterCopyrightRequired',
          'priority'=> 1)));
      $wp_customize->selective_refresh->add_partial('FooterCopyrightRequired', array('selector'=> 'p.CopyRights', // You can also select a css class
        ));

    $wp_customize->add_setting('FooterCopyrightSiteName', array('default'=> 'Washing.',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterCopyrightSiteName',
        array('label'=> __('Site Name', 'w3layouts'),
          'section'=> 'FooterCopyRight',
          'settings'=> 'FooterCopyrightSiteName'
        )));
    $wp_customize->add_setting('FooterCopyrightAllRights', array('default'=> 'All Rights Reserved |',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterCopyrightAllRights',
        array('label'=> __(' Text All rights Reserved', 'w3layouts'),
          'section'=> 'FooterCopyRight',
          'settings'=> 'FooterCopyrightAllRights'
        )));
    

  /** Designed by Section footer**/
  $wp_customize->add_setting('FooterDesignedByRequired',
    array('default'=> 1,
      'transport'=> 'refresh',
      'sanitize_callback'=> 'skyrocket_switch_sanitization'
    ));
  $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterDesignedByRequired',
    array('label'=> __('DesignedBy Required', 'w3layouts'),
      'section'=> 'FooterCopyRight',
      'settings'=> 'FooterDesignedByRequired'
    )));

    $wp_customize->add_setting('FooterCopyrightThemeBy', array('default'=> 'WordPress Theme by',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterCopyrightThemeBy',
        array('label'=> __(' Copyright Theme By', 'w3layouts'),
          'section'=> 'FooterCopyRight',
          'settings'=> 'FooterCopyrightThemeBy'
        )));
    
    $wp_customize->add_setting('FooterCopyrightName', array('default'=> 'W3Layouts.',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterCopyrightName',
        array('label'=> __(' Copyright name', 'w3layouts'),
          'section'=> 'FooterCopyRight',
          'settings'=> 'FooterCopyrightName'
        )));
    $wp_customize->add_setting('FooterCopyrightURL', array('default'=> 'https://w3layouts.com/',
        'transport'=> 'refresh', ));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize,
        'FooterCopyrightURL',
        array('label'=> __(' Copyright URL', 'w3layouts'),
          'section'=> 'FooterCopyRight',
          'settings'=> 'FooterCopyrightURL'
        )));

    /** Designed by Section footer**/
    // $wp_customize->add_setting('FooterDesignedByRequired',
    //   array('default'=> 1,
    //     'transport'=> 'refresh',
    //     'sanitize_callback'=> 'skyrocket_switch_sanitization'
    //   ));
    // $wp_customize->add_control(new Skyrocket_Toggle_Switch_Custom_control($wp_customize, 'FooterDesignedByRequired',
    //     array('label'=> __('Designed by Section Required', 'w3layouts'),
    //       'section'=> 'FooterCopyRight',
    //       'settings'=> 'FooterDesignedByRequired'

    //     )));


  }

}